<?php
/**
 * @package   DocImport
 * @copyright Copyright (c)2011-2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

use Joomla\CMS\Installer\InstallerScript;

class Pkg_DocimportInstallerScript extends InstallerScript
{
	protected $minimumJoomla = '4.2';

	protected $minimumPhp = '7.4';

	function postflight($type, $parent)
	{
		// Do not run on uninstall.
		if ($type === 'uninstall')
		{
			return true;
		}

		// Forcibly create the autoload_psr4.php file afresh.
		if (class_exists(JNamespacePsr4Map::class))
		{
			try
			{
				$nsMap = new JNamespacePsr4Map();
				$nsMap->create();
				$nsMap->load();
			}
			catch (\Throwable $e)
			{
				// In case of failure, just try to delete the old autoload_psr4.php file
				@unlink(JPATH_CACHE . '/autoload_psr4.php');
			}
		}

		return true;
	}
}